Which devices can’t run iOS4 and iOS5

We've previously written about whether you should drop support for older versions of iOS. We thought it would be useful to analyse which devices are unable to upgrade to newer versions of iOS. With this information in hand, you can make the decision about whether to drop support for older iOS versions.

iOS 3
Devices which cannot upgrade to later versions of iOS:
* iPhone (original), discontinued July 11, 2008
* iPod touch (1st generation), discontinued September 9, 2008

iOS 4
Devices which cannot upgrade to later versions of iOS. Note both of these devices do not allow multitasking under iOS4.
* iPhone 3G, discontinued June 4, 2010
* iPod touch (2nd generation), discontinued September 1, 2010

In summary, as of January 2012, the last device which only supports iOS3 was released over 3 years ago, the last device which only supports iOS4 was released 16 months ago.

Matt Mayer

Matt Mayer is a founder at ReignDesign. Matt is from the UK and was based in Shanghai for ten years. He is now living in Bangkok, Thailand.

1 comment

Leave a Reply

Your email address will not be published. Required fields are marked *